from django.conf.urls.defaults import *
from settings import MEDIA_ROOT, MEDIA_URL

handler404 = 'generic.views.render_404'

urlpatterns = patterns('',
    # Example:
    # (r'^sommitrealweird/', include('sommitrealweird.foo.urls')),

    # Uncomment this for admin:
    (r'^$', 'bpcms.views.document_view', {'slug': 'index'}),
    (r'^admin/', include('django.contrib.admin.urls')),
    (r'^(?:content/|)(?P<slug>[^/]+)/$', 'bpcms.views.document_view'),
    (r'^(?:content/|)(?P<folders>.*)/(?P<slug>[^/]+)/$', 'bpcms.views.document_view'),
    (r'^media/(?P<path>.*)$', 'django.views.static.serve', {'document_root': MEDIA_ROOT, 'show_indexes': True}),
)
